<?php
	/*
		Plugin name: Gallery - Image
		Plugin URI: http://www.rich-web.esy.es/gallery
		Description: Photo Gallery is awesome WordPress gallery plugin with many useful features and effects. The photo plugin was created and specially designed for photos.
		Version: 1.0.9
		Author: richteam
		Author URI: http://www.rich-web.esy.es/
		License: http://www.gnu.org/licenses/gpl-2.0.html
	*/
	
	add_action('widgets_init', function() {
	 	register_widget('Rich_Web_Gallery_Image');
	});
	
	require_once(dirname(__FILE__) . '/Rich-Web-Gallery-Image-Widget.php');
 	require_once(dirname(__FILE__) . '/Rich-Web-Gallery-Image-Ajax.php');
	require_once(dirname(__FILE__) . '/Rich-Web-Gallery-Image-Shortcode.php');
	
	add_action('wp_enqueue_scripts','Rich_Web_Gallery_Image_Style');
	
	function Rich_Web_Gallery_Image_Style(){
		wp_register_style('Rich_Web_Gallery_Image', plugins_url('/Style/Rich-Web-Gallery-Image-Widget.css',__FILE__));
		wp_enqueue_style('Rich_Web_Gallery_Image');	
		wp_register_script('Rich_Web_Gallery_Image',plugins_url('/Scripts/Rich-Web-Gallery-Image-Widget.js',__FILE__),array('jquery','jquery-ui-core'));
		wp_register_script('Rich_Web_Gallery_Image2',plugins_url('/Scripts/modernizr-custom.js',__FILE__));
		wp_localize_script('Rich_Web_Gallery_Image', 'object', array('ajaxurl' => admin_url('admin-ajax.php')));
		wp_enqueue_script('Rich_Web_Gallery_Image');
		wp_enqueue_script('Rich_Web_Gallery_Image2');
		wp_enqueue_script("jquery");
		wp_register_style( 'fontawesomeGI-css', plugins_url('/Style/richwebicons.css', __FILE__)); 
   		wp_enqueue_style( 'fontawesomeGI-css' );	
	}
	
	add_action("admin_menu", 'Rich_Web_Gallery_Admin_Menu' );
	function Rich_Web_Gallery_Admin_Menu() 
	{
		add_menu_page('Rich-Web Gallery Admin','Image Gallery','manage_options','Rich-Web Gallery Admin','Manage_Rich_Web_Gallery_Admin',plugins_url('/Images/admin.png',__FILE__));
 		add_submenu_page( 'Rich-Web Gallery Admin', 'Rich-Web Gallery Admin', 'Gallery Manager', 'manage_options', 'Rich-Web Gallery Admin', 'Manage_Rich_Web_Gallery_Admin');
		add_submenu_page( 'Rich-Web Gallery Admin', 'Rich-Web Gallery General', 'Gallery Options', 'manage_options', 'Rich-Web Gallery General', 'Manage_Rich_Web_Gallery_General');
		add_submenu_page( 'Rich-Web Gallery Admin', 'Rich-Web Gallery Products', 'Our Products', 'manage_options', 'Rich-Web Gallery Products', 'Manage_Rich_Web_Gallery_Products');
	}
	function Manage_Rich_Web_Gallery_Admin(){
		require_once(dirname(__FILE__) . '/Rich-Web-Gallery-Image-Admin.php');
		require_once(dirname(__FILE__) . '/Style/Rich-Web-Gallery-Image-Admin.css.php');
	}
	function Manage_Rich_Web_Gallery_General(){
		require_once(dirname(__FILE__) . '/Rich-Web-Gallery-Image-General.php');
		require_once(dirname(__FILE__) . '/Scripts/Rich-Web-Gallery-Image-General.js.php');
		require_once(dirname(__FILE__) . '/Style/Rich-Web-Gallery-Image-General.css.php');
	}
	function Manage_Rich_Web_Gallery_Products()
	{
		require_once(dirname(__FILE__) . '/Rich-Web-Products.php');
	}
	add_action('admin_init', function() {
		wp_enqueue_style('wp-color-picker');
		wp_enqueue_script('wp-color-picker');
		wp_register_script('Rich_Web_Gallery_Image', plugins_url('Scripts/Rich-Web-Gallery-Image-Admin.js',__FILE__),array('jquery','jquery-ui-core'));
		wp_localize_script('Rich_Web_Gallery_Image', 'object', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ) ) );
		wp_enqueue_script('Rich_Web_Gallery_Image');
		wp_register_style( 'fontawesomeGI-css', plugins_url('/Style/richwebicons.css', __FILE__)); 
   		wp_enqueue_style( 'fontawesomeGI-css' );	
	});
	register_activation_hook(__FILE__,'Ric_Web_Gallery_wp_activate');
	function Ric_Web_Gallery_wp_activate()
	{
		require_once(dirname(__FILE__) . '/Rich-Web-Gallery-Image-Install.php');
	}
	function Rich_Web_GI_Color() {

	    wp_enqueue_script(
	        'alpha-color-picker',
	        plugins_url('/Scripts/alpha-color-picker.js', __FILE__),	       
	        array( 'jquery', 'wp-color-picker' ), // You must include these here.
	        null,
	        true
	    );
	    wp_enqueue_style(
	        'alpha-color-picker',
	        plugins_url('/Style/alpha-color-picker.css', __FILE__),
	        array( 'wp-color-picker' ) // You must include these here.
	    );
	}
	add_action( 'admin_enqueue_scripts', 'Rich_Web_GI_Color' );
?>